For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a stocktaking control list

Get a stocktaking control list

Required permissions: STOCKTAKING

get
/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/control
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
warehouseUidstringRequired

Reference to a Warehouse.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
stocktakingUidstringRequired

Reference to a Stocktaking.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

hasDiffbooleanOptional

Only return stocktaking items with diff

hasRegistrationsbooleanOptional

Only return stocktaking items with registrations

Responses
200

Example response

application/json

StocktakingControlResponseSchema

createdAtstring · date-timeRequired
createdBystringRequired
descriptionstringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
statusstring · enumRequired
ENUMDescription
NOT_STARTEDStock counting not started
IN_PROGRESSStock counting is in progress. Registraions can be made.
COMPLETEStock counting is complete
DELETEDStock counting is deleted, stock not adjusted
CONTROLStock counting is in control mode, no further registrations can be made
Possible values:
stocktakingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
withStockbooleanRequired
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/control
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/control HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "description": "text",
  "totals": {
    "productsWithPositiveDiffCount": 1,
    "positiveDiffAmount": 1,
    "productsWithNegativeDiffCount": 1,
    "negativeDiffAmount": 1,
    "stockValueAtStart": 1,
    "stockValueRegistered": 1
  },
  "items": [
    {
      "costPrice": 1,
      "brandName": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "name": "text",
      "note": "text",
      "productGroupName": "text",
      "productUid": "text",
      "quantityDiff": 1,
      "quantityRegistered": 1,
      "quantityStock": 1,
      "sku": "text",
      "stocktakingItemUid": "text"
    }
  ],
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  },
  "status": "NOT_STARTED",
  "stocktakingUid": "text",
  "warehouseUid": "text",
  "withStock": true
}

Last updated

Was this helpful?